SDL_SetRenderClipRect(3)

NAME
SDL_SetRenderClipRect - Set the clip rectangle for rendering on the specified target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderClipRect(SDL_Renderer *renderer, const SDL_Rect *rect);

FUNCTION PARAMETERS

renderer
    the rendering context

rect
    an SDL_Rect
     structure representing the clip area, relative to the viewport, or NULL to disable clipping

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderClipRect(3), SDL_RenderClipEnabled(3)